<template>
 <div >
     <search-bar></search-bar>
     <table class="table table-striped- table-bordered table-hover table-checkable" id="m_table_1">
       <thead class="thead-custome">
            <tr>
                <th>{{$t('global.no')}}</th>
                <th>{{$t('currency.code')}}</th>
                <th>{{$t('currency.name_dr')}}</th>
                <th>{{$t('currency.name_pa')}}</th>
                <th>{{$t('currency.name_en')}}</th>
                <th>{{$t('currency.opreation')}}</th>
            </tr>
        </thead>
        <tbody>
            <tr v-for="(item,index) in main_data" :key="item.id" :id="item.id">
                <td>{{index+=1}}</td>
                <td>{{item.code}}</td>
                <td>{{item.name_dr}}</td>
                <td>{{item.name_pa}}</td>
                <td>{{item.name_en}}</td>
                <td>
                    <router-link :to="'/currency/edit/'+item.id">
                        <i class="fa fa-edit"></i>
                    </router-link>
                    <div class="badge delete" @click="deletData(item.id)">
                        <i class="fa fa-trash"></i>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</div>
</template>
<script>
    import SearchBar from '../table_component/SearchBare.vue';
    import SubmitForm from '../../router/SubmitForm.js';
    export default {
        mixins: [SubmitForm],
        name: 'EndItemIndex',
        components: {
            'search-bar': SearchBar
        },
        data() {
            return {
                'url': 'api/static/currency'
            }
        },
        created(){
            this.getData();
        }
    }
</script>
